aboutsummaryrefslogtreecommitdiff
path: root/robot
diff options
context:
space:
mode:
authorPhillip Lord <phillip.lord@russet.org.uk>2019-06-29 17:49:33 +0100
committerPhillip Lord <phillip.lord@russet.org.uk>2019-06-29 17:49:33 +0100
commitc44ca7447b9b4f53f568e4d55614a5848717fd78 (patch)
tree56e3dab45c4a3b54773beff54b782633dbca1bf7 /robot
parente7460b6262cc8d3a1c27339cdc55969dfa03e409 (diff)
downloadorg-drill-c44ca7447b9b4f53f568e4d55614a5848717fd78.tar.gz
org-drill-c44ca7447b9b4f53f568e4d55614a5848717fd78.zip
Document explainer
Diffstat (limited to 'robot')
-rw-r--r--robot/explainer-run.el22
-rw-r--r--robot/explainer-run.org36
-rwxr-xr-xrobot/explainer-run.sh43
3 files changed, 101 insertions, 0 deletions
diff --git a/robot/explainer-run.el b/robot/explainer-run.el
new file mode 100644
index 0000000..66c985c
--- /dev/null
+++ b/robot/explainer-run.el
@@ -0,0 +1,22 @@
+(load-file "robot/robot.el")
+(load-file "org-drill.el")
+
+(defun org-drill-do-drill ()
+ (copy "explainer-run.org" "explainer-run-copy.org")
+ (find "explainer-run-copy.org")
+
+ (org-drill)
+ (set-buffer-modified-p nil)
+ (kill-buffer)
+ )
+
+(org-drill-do-drill)
+
+(message "First drill complete")
+
+(setq org-drill-presentation-prompt-with-typing t)
+
+(org-drill-do-drill)
+
+
+(robot-check-cards-seen-and-die 6)
diff --git a/robot/explainer-run.org b/robot/explainer-run.org
new file mode 100644
index 0000000..4116b98
--- /dev/null
+++ b/robot/explainer-run.org
@@ -0,0 +1,36 @@
+* Mathematical Operators :explain:
+
+Mathematical operators are used to change several numbers into one
+
+** Addition :explain:
+
+Addition is used to combine two values into a larger one
+
+*** Question :drill:
+ :PROPERTIES:
+ :ID: 8f6d0b14-b9b2-477e-a01d-aea780860b7c
+ :END:
+
+2 + 2 = [4]
+
+*** Question
+
+3 + 3 = [6]
+
+** Subtraction :explain:
+
+Subtraction is used to remove one value from another to make a smaller one
+
+*** Question :drill:
+ :PROPERTIES:
+ :ID: 05b2019b-c1e3-423d-aad4-b6464c2ad613
+ :END:
+
+3 - 2 = [1]
+
+*** Question :drill:
+ :PROPERTIES:
+ :ID: 1f22df13-2b2e-4f2c-be04-fd40a5dcbcd8
+ :END:
+
+5 - 2 = [3]
diff --git a/robot/explainer-run.sh b/robot/explainer-run.sh
new file mode 100755
index 0000000..a876561
--- /dev/null
+++ b/robot/explainer-run.sh
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+set -e
+
+function run_drill {
+ ## Org-drill should be running at this point, so give three answers
+ ## with a score of file
+ sleep_small
+
+ echo answer one
+ send_answer
+
+ echo answer two
+ send_answer
+
+ echo answer three
+ send_answer
+
+ ## Press any key to continue
+ echo press any key to continue
+ retn
+
+ echo Save file
+ key y
+}
+
+this_dir="$(dirname "$0")"
+source $this_dir/robot.sh
+
+
+launch_emacs $this_dir/explainer-run.el
+
+{
+ find_bot
+
+ ## Run once with default options
+ run_drill
+
+ ## Run once with presentation-prompt-with-typing
+ run_drill
+
+ wait_emacs
+} || cat robot/failure.txt